The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the vIPS Licenses Present on the Manager

Prev Next

This URL gets the vIPS licenses present on the Manager.

Resource URL

GET /license/vmips

Request Parameters

URL Parameters: None

Payload Request Parameters: None

Response Parameters

Returns the following fields.

Field Name

Description

Data Type

compliant

Compliant state of the Manager

Boolean

additionalLicensesRequired

The number of additional licenses required

Number

virtualSensors

License usage status in virtual Sensors

String

virtualProbes

License usage status in virtual probes

String

licenses

List of individual VMIPS license details

Array of objects

Details of fields in VMIPSLicenseDetails:

Field Name

Description

Data Type

Allowed

Number of vNSP Sensors allowed

Number

licenseCustomer

Customer of the license

String

key

License key

String

comment

Comment

String

addedBy

User who added the license

String

addedTime

Time when the license was added

String

licenseGrantID

License grant id

String

licenseExpiration

License expiration date

String

Example

Request

GET https://<NSM_IP>/sdkapi/license/vmips

Payload

None

Response

{
"compliant": True,
"additionalLicensesRequired": 0,
"virtualSensors": "0 (of 10 allowed) in use", 
"virtualProbes": "0 in use", 
"licenses": [
{"comment": None, "licenseCustomer": "Ingram Micro Inc.", "addedBy": "admin", "key": "0007010100-NAI-000010", "allowed": 10, "addedTime": "Oct 23 05:11:25 2019", "licenseGrantID": "0007010100-NAI", "licenseExpiration": "12-31-2043"}
]
}

Error Information

Following error code is returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error